## gnome-calculator 46.1

=== debian/changelog ===
gnome-calculator (1:46.1-1ubuntu1~24.04.1) noble; urgency=medium

  [ Alessandro Astone ]
  * No-change backport to noble

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 22 Jun 2024 20:00:54 +0200

gnome-calculator (1:46.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian (LP: #2067420), remaining change:
    - Add ubuntu/search-provider-Cancel-operations-on-XUbuntuCancel.patch:
      + Use XUbuntuCancel with GNOME Shell search provider to stop
        expensive processes that might lead to an unresponsive process

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 May 2024 16:05:20 -0400

gnome-calculator (1:46.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 May 2024 15:58:19 -0400

## gnome-calculator 46.3

=== debian/changelog ===
gnome-calculator (1:46.3-0ubuntu0.1) noble; urgency=medium

  * New upstream release (LP: #2108976)
    - Includes currency conversion fix (LP: #2100300)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 20 Jun 2025 15:34:51 +0200

=== debian/control ===
Source: gnome-calculator
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: appstream-util,
               debhelper-compat (= 13),
               dh-sequence-gnome,
               itstool,
               meson (>= 0.57.0),
               valac,
               libadwaita-1-dev (>= 1.4~beta),
               libgee-0.8-dev,
               libglib2.0-dev,
               libgtk-4-dev (>= 4.11.4),
               libgtksourceview-5-dev (>= 5.3.0),
               libxml2-dev,
               libsoup-3.0-dev (>= 3.4.0),
               libmpc-dev,
               libmpfr-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.6.2
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-calculator.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-calculator
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-calculator.git -b ubuntu/noble
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-calculator/tree/ubuntu/noble
Homepage: https://apps.gnome.org/Calculator/
Rules-Requires-Root: no

Package: gnome-calculator
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: yelp,
            gvfs
Breaks: gcalctool (<< 6.7)
Replaces: gcalctool (<< 6.7)
Description: GNOME desktop calculator
 The GNOME calculator is a powerful graphical calculator with financial,
 logical and scientific modes. It uses a multiple precision package to do its
 arithmetic to give a high degree of accuracy.

## gnome-calculator 47.0

=== debian/changelog ===
gnome-calculator (1:47.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian, remaining change:
    - Add ubuntu/search-provider-Cancel-operations-on-XUbuntuCancel.patch:
      + Use XUbuntuCancel with GNOME Shell search provider to stop
        expensive processes that might lead to an unresponsive process

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Sep 2024 16:15:16 +0200

gnome-calculator (1:47.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Sep 2024 16:10:11 +0200

gnome-calculator (1:47~rc-1) experimental; urgency=medium

  * Merge with Debian (LP: #2067420), remaining change:
    - Add ubuntu/search-provider-Cancel-operations-on-XUbuntuCancel.patch:
      + Use XUbuntuCancel with GNOME Shell search provider to stop
        expensive processes that might lead to an unresponsive process

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 09 Sep 2024 14:50:53 +0200

gnome-calculator (1:47~beta-1ubuntu1) oracular; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 12:43:48 -0400

gnome-calculator (1:47~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum GTK4 & libadwaita
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 12:41:22 -0400

## gnome-calculator 47.1

=== debian/changelog ===
gnome-calculator (1:47.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian, remaining change:
    - Add ubuntu/search-provider-Cancel-operations-on-XUbuntuCancel.patch:
      + Use XUbuntuCancel with GNOME Shell search provider to stop
        expensive processes that might lead to an unresponsive process

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Dec 2024 13:12:24 -0500

gnome-calculator (1:47.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Dec 2024 13:10:14 -0500

gnome-calculator (1:47.0-2ubuntu2) plucky; urgency=medium

  * Merge with Debian, remaining change:
    - Add ubuntu/search-provider-Cancel-operations-on-XUbuntuCancel.patch:
      + Use XUbuntuCancel with GNOME Shell search provider to stop
        expensive processes that might lead to an unresponsive process

 -- Jesús Soto <jesus.soto@canonical.com>  Thu, 07 Nov 2024 16:41:51 +0100

gnome-calculator (1:47.0-2) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Increase build test timeout multiplier to fix riscv64 build
    (Closes: #1084113)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 26 Oct 2024 08:15:02 -0400

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                itstool,
                meson (>= 0.57.0),
                valac,
-               libadwaita-1-dev (>= 1.4~beta),
+               libadwaita-1-dev (>= 1.6~beta),
                libgee-0.8-dev,
                libglib2.0-dev,
-               libgtk-4-dev (>= 4.11.4),
+               libgtk-4-dev (>= 4.15.2),
                libgtksourceview-5-dev (>= 5.3.0),
                libxml2-dev,
                libsoup-3.0-dev (>= 3.4.0),
@@ -21,11 +21,9 @@
                libmpfr-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.6.2
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-calculator.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-calculator
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-calculator.git -b ubuntu/noble
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-calculator/tree/ubuntu/noble
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-calculator.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-calculator
 Homepage: https://apps.gnome.org/Calculator/
 Rules-Requires-Root: no

## gnome-calculator 48~beta

=== debian/changelog ===
gnome-calculator (1:48~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum gtk4
  * Remove obsolete Breaks/Replaces
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 18:05:13 -0500

## gnome-calculator 48.0.2

=== debian/changelog ===
gnome-calculator (1:48.0.2-1ubuntu3) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 10:05:55 +0200

gnome-calculator (1:48.0.2-1ubuntu2) plucky; urgency=medium

  * Merge with Debian (LP: #2104916, LP: #2100300), remaining change:
    - Add ubuntu/search-provider-Cancel-operations-on-XUbuntuCancel.patch:
      + Use XUbuntuCancel with GNOME Shell search provider to stop
        expensive processes that might lead to an unresponsive process

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 27 Mar 2025 16:07:07 +0100

gnome-calculator (1:48.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 24 Mar 2025 08:11:33 -0400

gnome-calculator (1:48.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian, remaining change:
    - Add ubuntu/search-provider-Cancel-operations-on-XUbuntuCancel.patch:
      + Use XUbuntuCancel with GNOME Shell search provider to stop
        expensive processes that might lead to an unresponsive process

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 20 Mar 2025 11:46:25 +0100

gnome-calculator (1:48.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 19 Mar 2025 16:26:08 +0100

gnome-calculator (1:48~rc-1ubuntu1) plucky; urgency=medium

  * Merge with Debian, remaining change:
    - Add ubuntu/search-provider-Cancel-operations-on-XUbuntuCancel.patch:
      + Use XUbuntuCancel with GNOME Shell search provider to stop
        expensive processes that might lead to an unresponsive process

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Tue, 11 Mar 2025 09:17:45 +0100

gnome-calculator (1:48~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 10:42:10 -0500

gnome-calculator (1:48~beta-1ubuntu1) plucky; urgency=medium

  * Merge with Debian, remaining change:
    - Add ubuntu/search-provider-Cancel-operations-on-XUbuntuCancel.patch:
      + Use XUbuntuCancel with GNOME Shell search provider to stop
        expensive processes that might lead to an unresponsive process

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 19 Feb 2025 17:13:11 +0100

=== debian/control ===
Source: gnome-calculator
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               appstream-util,
               itstool,
               libadwaita-1-dev (>= 1.6~beta),
               libgee-0.8-dev,
               libglib2.0-dev,
               libgtk-4-dev (>= 4.17.0),
               libgtksourceview-5-dev (>= 5.3.0),
               libmpc-dev,
               libmpfr-dev,
               libsoup-3.0-dev (>= 3.4.0),
               libxml2-dev,
               meson (>= 0.57.0),
               valac,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-calculator
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-calculator.git
Homepage: https://apps.gnome.org/Calculator/
Rules-Requires-Root: no

Package: gnome-calculator
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gvfs, yelp
Description: GNOME desktop calculator
 The GNOME calculator is a powerful graphical calculator with financial,
 logical and scientific modes. It uses a multiple precision package to do its
 arithmetic to give a high degree of accuracy.

## gnome-calculator 48.1

=== debian/changelog ===
gnome-calculator (1:48.1-2) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 15:32:09 +0200

gnome-calculator (1:48.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 09:57:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: gnome-calculator
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
-               appstream-util,
+               appstream,
                itstool,
                libadwaita-1-dev (>= 1.6~beta),
                libgee-0.8-dev,

## gnome-calculator 49.0

=== meson_options.txt ===
option('disable-ui', type : 'boolean', value : false, description : 'Disable GTK+ program')
option('vala-version', type: 'string', value : '', description : 'Use another version of Vala (only the latest is officially supported)')
option('disable-introspection', type : 'boolean', value : false, description : 'Disable GObject Introspection Typelib generation')
option('ui-tests', type : 'boolean', value : false, description : 'Execute UI tests: requires X/Wayland/Broadway/Windows server')
option('libpath', type: 'string', value : '', description : 'Used to add search path for libraries like mpc')
option('development', type: 'boolean', value: false, description: 'If this is a development build')
option('gcalc', type: 'boolean', value: true, description: 'Build GCalc library')
option('gci', type: 'boolean', value: true, description: 'Build GCalc UI library')
option('app', type: 'boolean', value: true, description: 'Build GNOME Calculator Application')
option('doc', type: 'boolean', value: true, description: 'Build GCalc and/or GCi documentation')

=== debian/changelog ===
gnome-calculator (1:49.0-2) unstable; urgency=medium

  * Cherry-pick patch to avoid failing build test on 32-bit architectures
    (Closes: #1115326)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 Oct 2025 17:08:55 -0400

gnome-calculator (1:49.0-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: blueprint-compiler
  * Bump minimum libadwaita
  * Remove Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Sep 2025 07:37:28 -0400

## gnome-calculator 49.1.1

=== debian/changelog ===
gnome-calculator (1:49.1.1-1ubuntu1) resolute; urgency=medium

  * Merge with Debian (lp: #2130062), remaining change:
    - Add ubuntu/search-provider-Cancel-operations-on-XUbuntuCancel.patch:
      + Use XUbuntuCancel with GNOME Shell search provider to stop
        expensive processes that might lead to an unresponsive process

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 31 Oct 2025 15:06:31 +0100

gnome-calculator (1:49.1.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1115326)
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Oct 2025 15:58:19 -0400

gnome-calculator (1:48.1-2ubuntu1) questing; urgency=medium

  * Merge with Debian, remaining change:
    - Add ubuntu/search-provider-Cancel-operations-on-XUbuntuCancel.patch:
      + Use XUbuntuCancel with GNOME Shell search provider to stop
        expensive processes that might lead to an unresponsive process

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Jun 2025 13:10:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-calculator
 Section: math
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
@@ -9,8 +10,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                appstream,
+               blueprint-compiler,
                itstool,
-               libadwaita-1-dev (>= 1.6~beta),
+               libadwaita-1-dev (>= 1.8~alpha),
                libgee-0.8-dev,
                libglib2.0-dev,
                libgtk-4-dev (>= 4.17.0),
@@ -23,11 +25,10 @@
                valac,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-calculator
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-calculator.git
 Homepage: https://apps.gnome.org/Calculator/
-Rules-Requires-Root: no
 
 Package: gnome-calculator
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgcalc=false \
		-Dgci=false \
		-Ddisable-introspection=true \
		-Dui-tests=true

override_dh_auto_test:
	GTK_A11Y=none \
	xvfb-run --auto-servernum dh_auto_test -- --timeout-multiplier 5

override_dh_gnome_clean:

## gnome-calculator 49.2

=== debian/changelog ===
gnome-calculator (1:49.2-2) unstable; urgency=medium

  * Remove obsolete dh_gnome_clean override
  * Remove unnecessary Priority: optional field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Dec 2025 14:00:49 -0500

gnome-calculator (1:49.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 22 Nov 2025 08:18:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: gnome-calculator
 Section: math
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -16,5 +16,3 @@
 override_dh_auto_test:
 	GTK_A11Y=none \
 	xvfb-run --auto-servernum dh_auto_test -- --timeout-multiplier 5
-
-override_dh_gnome_clean:

## gnome-calculator 50~beta

=== debian/changelog ===
gnome-calculator (1:50~beta-2) unstable; urgency=medium

  * Override dh_gnome to avoid build warnings
  * Bump Standards Version to 4.7.3
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 11 Feb 2026 15:56:48 -0500

gnome-calculator (1:50~beta-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Feb 2026 09:39:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: gnome-calculator
-Section: math
+Standards-Version: 4.7.3
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>
+Section: math
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                appstream,
@@ -14,16 +15,15 @@
                libgee-0.8-dev,
                libglib2.0-dev,
                libgtk-4-dev (>= 4.17.0),
-               libgtksourceview-5-dev (>= 5.3.0),
+               libgtksourceview-5-dev,
                libmpc-dev,
                libmpfr-dev,
                libsoup-3.0-dev (>= 3.4.0),
                libxml2-dev,
-               meson (>= 0.57.0),
+               meson,
                valac,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-calculator
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-calculator.git
 Homepage: https://apps.gnome.org/Calculator/

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,6 @@
 override_dh_auto_test:
 	GTK_A11Y=none \
 	xvfb-run --auto-servernum dh_auto_test -- --timeout-multiplier 5
+
+# We only use dh_gnome to automatically run dh_translations in Ubuntu
+override_dh_gnome:
